import { BaseService, Service } from '@/cool';

@Service('item')
export class ItemService extends BaseService {
	//新增花材
	itemAdd(data) {
		return this.request({
			url: '/add',
			method: 'POST',
			data: data
		});
	}
	//批量新增花材
	batchAdd(data) {
		return this.request({
			url: '/batch-add',
			method: 'POST',
			data: data
		});
	}
	//批量新增花材
	update(data) {
		return this.request({
			url: '/update',
			method: 'POST',
			data: data
		});
	}
	getDetail(data) {
		return this.request({
			url: '/detail',
			params: data
		});
	}
}
export default new ItemService();